<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: index.php
-------------------------------------------
*/
//-----Создаем титл страницы-----//
$title = 'Стиль сайта';
//-----Подключаем функции-----//
require_once ('../system/function.php');
//-----Подключаем вверх-----//
require_once ('../system/header.php');
//-----Переадресовуем не авторизированного и без левела-----//
if(!$user['id'] or $user['level'] < 1) {
header('Location: '.$HOME.'');
exit();
}

if(isset($_REQUEST['ok'])) {


 $style = strong($_POST['style']);
mysql_query("UPDATE `config` SET `id` = '1', `style` = '".$style."' ");
echo '<div class="podmenu"><center><b>Настройки успешно сохранены!</b></center></div>';
}

 echo '<div class="podmenu">';
echo '<form name="form" action="?act=set&amp;ok=1" method="post">
            Выбрать стиль по умолчанию:<br /><select name="style">';
            $styles = glob('../design/theme/*', GLOB_ONLYDIR);
            foreach ($styles as $style) {
                $selected = ($u['style'] == basename($style)) ? ' selected="selected"' : '';
                echo '<option value="'.basename($style).'"'.$selected.'>'.basename($style).'</option>';
            } 
            echo '</select><br />';


 
echo ' 
<input type="submit" name="ok" value="Изменить" />
</form></div>';
//-----Подключаем низ-----//
require_once ('../system/footer.php');
?>